Core - Feature # 16365

Status: Closed Priority: Should have
Author: Martin Kutschker Category: Workspaces
Created: 2006-07-19 Assigned To: Dmitry Dulepov
Updated: 2013-12-10 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: make workspaces an extension

Description

Versioning is part of the Core but the Ul is optional (as an extension). It should be the same for WSs. If you don't need it, then you
don't load.

(issue imported from #M3872)

Related issues:
related to Core - Feature # 16626: Have the ability to hide Workspace Menu an... Closed 2006-10-07

History

#1 - 2006-07-20 01:40 - Ingo Renner

+1

#2 - 2006-07-21 13:06 - Dmitry Dulepov

+1 for Ul

#3 - 2006-08-09 23:20 - Thorsten Kahler

+1

WS are one of the few "features" of TYPO3 that can't be disabled (ok, you can hide the "shortcutFrame" for BE users or BE groups completely - which

causes collateral damage). And it's overly buggy and insufficient. IMHO it's often a show stopper for a version upgrade.

#4 - 2006-08-10 07:28 - Andreas Wolf

+1

Edit: | just wonder if any of you has ideas on how this should look like... Ok, it's clear to move the module "user->workspace", the box at the bottom

right to the extension. But what about the workspace-records? What else would have to be moved?

#5 - 2006-08-14 11:32 - Dmitry Dulepov

Andreas, workspace records can be created only on the Globe level, so they are visible to admin user only. In any case, they should not be edited
directly but through the workspace module!
#6 - 2006-08-14 14:20 - Andreas Wolf

Dmitry,

| meant whether the creation of workspace-modules (and thus the table which contains the records) would have to be moved to an extension or not. As
the two default workspaces (live and draft) are internal and don't have a matching database-record, | would suggest moving the table to the extension.
#7 - 2007-01-03 15:25 - Dmitry Dulepov

4.1

#8 - 2013-12-10 01:12 - Michael Stucki

- Category set to Workspaces

#9 - 2013-12-10 01:14 - Michael Stucki

- Project changed from Workspaces & Versioning to Core

- Category changed from Workspaces to Workspaces

- Target version deleted (0)
